package com.zd.exam.domain;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 候选答案(ElQuAnswer)实体类
 *
 * @author liubo
 * @since 2021-08-30 17:10:20
 */
@ApiModel(value = "候选答案", description = "候选答案")
public class ElQuAnswer extends BaseEntity {
    private static final long serialVersionUID = 110462418474442344L;
    /**
     * 答案ID
     */
    private Long id;
    /**
     * 问题ID
     */
    @ApiModelProperty(value = "问题ID")
    private Long quId;
    /**
     * 是否正确 0 不是， 1 是
     */
    @ApiModelProperty(value = "是否正确 0 不是， 1 是")
    private Integer isRight;
    /**
     * 答案内容
     */
    @ApiModelProperty(value = "答案内容")
    private String content;
    /**
     * 答案分析
     */
    @ApiModelProperty(value = "答案分析")
    private String analysis;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getQuId() {
        return quId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

}
